## python-beniget 0.4.1

=== requirements.txt ===
gast ~= 0.5.0

=== debian/changelog ===
python-beniget (0.4.1-3) unstable; urgency=medium

  * Team upload.
  * d/rules: force the testsuite to run via something else than the deprecated
    "python3 setup.py tests" command.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 03 Dec 2022 16:03:17 -0500

python-beniget (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 11 Oct 2021 14:45:55 -0700

python-beniget (0.4.1-1) experimental; urgency=medium

  * Initial release (Closes: #993797)

 -- Diego M. Rodriguez <diego@moreda.io>  Mon, 11 Oct 2021 02:07:37 +0200

=== debian/control ===
Source: python-beniget
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diego M. Rodriguez <diego@moreda.io>
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 python3-all,
 python3-gast,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/serge-sans-paille/beniget
Vcs-Git: https://salsa.debian.org/python-team/packages/python-beniget.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-beniget
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-beniget
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: collection of compile-time Python AST analyzers
 Collection of compile-time analyzers of Python Abstract Syntax Trees
 that can be used as building blocks to write static analyzers or
 compilers:
  * Ancestors: map a node to the list of its enclosing nodes
  * DefUseChains: map a node to the list of definition points in that
    node
  * UseDefChains: map a node to its list of potential definitions
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-beniget

PYVERS = $(shell py3versions -s -v)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	$(foreach pyv, $(PYVERS), python$(pyv) -m unittest -v tests/*.py;)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@$-1.tar.gz%" \
    https://github.com/serge-sans-paille/beniget/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
